Bug 195831 - No sound output on MacBook (HDA Intel)
No sound output on MacBook (HDA Intel)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-18 08:11 EDT by Jurgen Kramer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-28 13:49:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jurgen Kramer 2006-06-18 08:11:35 EDT
Description of problem:
No sound output on MacBook from either headphones or internal speakers

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2289 from Rawhide (16-Jun-06)

How reproducible:
Always

Steps to Reproduce:
1. aplay /usr/share/sounds/shutdown.wav
2.
3.
  
Actual results:
No sound output from internal speakers or headphones.

Expected results:
Sound from internal speakers or connected headphones.

Additional info:
This problem is fixed in alsa devel repo
Comment 1 Jurgen Kramer 2006-06-23 08:11:53 EDT
It seems that the current git5 patchset for the kernel contains the necesarry
ALSA patch. As soon as the FC6 kernel hits git5 I will test if it resolves the
problem.
Comment 2 Jurgen Kramer 2006-07-03 14:08:55 EDT
Sound is working now.
Comment 3 Jurgen Kramer 2006-07-08 12:22:38 EDT
Update: sound through the headphones is working as well but inserting the
headphone does not disable the internal speakers.
Comment 4 Jurgen Kramer 2006-07-28 13:49:26 EDT
With the current kernel (2.6.17-1.2462.fc6) and ALSA (alsa-lib-1.0.12-1.rc1
alsa-utils-1.0.12-1.rc1) sound is working properly on the MacBook. Inserting the
headphones disables the internal speakers. When removing the headphones the
speakers are enabled again.

Microphone input does not seem to be working though.

Note You need to log in before you can comment on or make changes to this bug.